#
# spec file for package glassfish-dtd-parser
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           glassfish-dtd-parser
Version:        1.4
Release:        bp153.1.105
Summary:        Library for parsing XML DTDs
License:        CDDL-1.1 AND GPL-2.0-only WITH Classpath-exception-2.0
Group:          Development/Libraries/Java
URL:            http://java.net/projects/dtd-parser
Source0:        https://github.com/javaee/jaxb-dtd-parser/archive/%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  java-devel >= 9
BuildRequires:  maven-local
BuildRequires:  mvn(net.java:jvnet-parent:pom:)
BuildArch:      noarch

%description
Library for parsing XML DTDs.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation/HTML

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jaxb-dtd-parser-%{version}

%build
pushd dtd-parser

%{mvn_file} :dtd-parser %{name}
%{mvn_build} -f -- -Dsource=7

popd

%install
pushd dtd-parser
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}
popd

%files -f dtd-parser/.mfiles
%license dtd-parser/LICENSE.txt

%files javadoc -f dtd-parser/.mfiles-javadoc
%license dtd-parser/LICENSE.txt

%changelog
* Tue Dec 10 2019 Fridrich Strba <fstrba@suse.com>
- Bring back the modular jar, since it is needed by packages down
  the dependency chain.
- Specify source 7 for javadoc
* Sun Nov 24 2019 Fridrich Strba <fstrba@suse.com>
- Specify maven.compiler.release to fix build with jdk9+ and newer
  maven-javadoc-plugin
- Do not build modular jar with any java version
* Sat Oct  5 2019 Fridrich Strba <fstrba@suse.com>
- BuildRequire java-devel > 9, so that we compile the
  module-info.java
* Wed May  8 2019 Fridrich Strba <fstrba@suse.com>
- Do not build module-info.java if compiling with java < 9
* Wed May  8 2019 Fridrich Strba <fstrba@suse.com>
- Initial packaging of glassfish-dtd-parser 1.4
